--- title: "Get resource type list" slug: "organization-get-policy-detail" updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/organization-get-policy-detail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get resource type list Available in Classic and VPC Get the list of resource types (child resources) to which the quota policy can be applied. Note The Get resource type list API returns a response only when resource details (usage limit settings) are required. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /open-api/v1/policy/detail/{regionNo}/{resourceTypeCode}/{infraResourceDetailTypeCode} | ### Request headers For information about the headers common to all Organization APIs, see [Organization request headers](/docs/en/organization-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionNo` | Integer | Required | Region number - See [Get Region list](/docs/en/organization-get-policy-region) | | `resourceTypeCode` | String | Required | Resource code - See [Get resource list](/docs/en/organization-get-policy-resource). | | `infraResourceDetailTypeCode` | String | Required | Service code - See [Get service type list](/docs/en/organization-get-policy-service). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://organization.apigw.ntruss.com/open-api/v1/policy/detail/1/SVR/VM' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `productTypeCode` | String | - | Resource type code | | `productTypeName` | String | - | Resource type name | | `productTypeDetailList` | Array | - | Resource detailed type information: [productTypeDetailList](/docs/en/organization-get-policy-detail#productTypeDetailList) | | `generationCodeList` | Array | - | Generation classification information: [generationCodeList](/docs/en/organization-get-policy-detail#generationCodeList) - Displayed upon querying server | #### `productTypeDetailList` The following describes `productTypeDetailList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `productTypeDetailCode` | String | - | Resource detailed type code | | `productTypeDetailName` | String | - | Resource detailed type name | #### `generationCodeList` The following describes `generationCodeList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `generationCode` | String | - | Generation classification code - Based on resource detailed type | | `maxProductRestrictCount` | Integer | - | Maximum limit by generation | ### Response status codes For information about the HTTP status codes common to all Organization APIs, see [Organization response status codes](/docs/en/organization-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "productTypeCode": "STAND", "productTypeName": "Standard", "productTypeDetailList": [ { "productTypeDetailCode": "STAND", "productTypeDetailName": "Standard" } ], "generationCodeList": [ { "generationCode": "G1", "maxProductRestrictCount": 0 }, { "generationCode": "G2", "maxProductRestrictCount": 0 } ] }, { "productTypeCode": "HICPU", "productTypeName": "High CPU", "productTypeDetailList": [ { "productTypeDetailCode": "HICPU", "productTypeDetailName": "High CPU" } ], "generationCodeList": [ { "generationCode": "G2", "maxProductRestrictCount": 50 } ] }, { "productTypeCode": "HIMEM", "productTypeName": "High Memory", "productTypeDetailList": [ { "productTypeDetailCode": "HIMEM", "productTypeDetailName": "High Memory" } ], "generationCodeList": [ { "generationCode": "G1", "maxProductRestrictCount": 10 }, { "generationCode": "G2", "maxProductRestrictCount": 10 } ] }, { "productTypeCode": "MICRO", "productTypeName": "Micro Server", "productTypeDetailList": [ { "productTypeDetailCode": "MICRO", "productTypeDetailName": "Micro Server" } ], "generationCodeList": [ { "generationCode": "G1", "maxProductRestrictCount": 1 } ] }, { "productTypeCode": "COMPT", "productTypeName": "Compact Server", "productTypeDetailList": [ { "productTypeDetailCode": "COMPT", "productTypeDetailName": "Compact Server" } ], "generationCodeList": [ { "generationCode": "G1", "maxProductRestrictCount": null } ] }, { "productTypeCode": "GPU", "productTypeName": "GPU", "productTypeDetailList": [ { "productTypeDetailCode": "V100", "productTypeDetailName": "V100" }, { "productTypeDetailCode": "V100S", "productTypeDetailName": "V100S" }, { "productTypeDetailCode": "P40R1", "productTypeDetailName": "P40R1" }, { "productTypeDetailCode": "P40R2", "productTypeDetailName": "P40R2" } ], "generationCodeList": [] }, { "productTypeCode": "CPU", "productTypeName": "CPU Intensive", "productTypeDetailList": [ { "productTypeDetailCode": "CPU", "productTypeDetailName": "CPU Intensive" } ], "generationCodeList": [ { "generationCode": "G1", "maxProductRestrictCount": 5 } ] } ] ```